ALTER TABLE WEATHER
ADD NNLOCATION_ID NUMBER;

CREATE OR REPLACE VIEW V_WEATHER
AS (
SELECT W.ID, W.ON_DATE, W.WEATHER_TYPE, W.TEMPERATURE, W.WIND_DIRECTION, W.WIND_SPEED_DESC, W.PRECIPITATION, W.USER_COMMENT, W.ACTIVE, W.NNLOCATION_ID,
WT.OPIS AS WEATHER_TYPE_OPIS, WT.INTERNI_OPIS AS WEATHER_TYPE_INTERNI_OPIS, WD.OPIS AS WIND_DIRECTION_OPIS, WD.INTERNI_OPIS AS WIND_DIRECTION_INTERNI_OPIS
FROM WEATHER W
LEFT OUTER JOIN NNWEATHER_TYPE WT ON WT.SIFRA = W.WEATHER_TYPE
LEFT OUTER JOIN NNWIND_DIRECTION WD ON WD.SIFRA = W.WIND_DIRECTION
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1371, SYSDATE, '5.5', 1291, 'Weather lokacija')
;