CREATE OR REPLACE VIEW V_SC_EVENTPAR AS (
	SELECT DISTINCT E.ID AS SC_EVENTPAR_ID, E.SC_EVENT_ID, E.KUPCI_ID, E.DISCOUNT, E.ID_STORITVE, E.STATUS, 
  N.OPIS AS NNTITLE_OPIS, N.INTERNI_OPIS AS NNTITLE_INTERNI_OPIS, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, 
  K.ID_MEMBER AS KUPCI_ID_MEMBER, K.YACHT_CLUB_ID AS KUPCI_YACHT_CLUB_ID, M.N_RACUNA AS M_STORITVE_N_RACUNA, S.ZAPRTO AS SALDKONT_ZAPRTO
	FROM SC_EVENTPAR E
  LEFT OUTER JOIN KUPCI K ON K.ID = E.KUPCI_ID
  LEFT OUTER JOIN NNTITLE N ON N.SIFRA = K.NTITLE
  LEFT OUTER JOIN M_STORITVE M ON M.ID_STORITVE = E.ID_STORITVE
  LEFT OUTER JOIN RACUN_DATA R ON R.ID_STORITVE = E.ID_STORITVE AND (R.ZAP_ST IS NULL OR R.ZAP_ST = 1)
  LEFT OUTER JOIN SALDKONT S ON S.ID_SALDKONT = R.ID_SALDKONT 
);

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(555, SYSDATE, '5.5', 475, 'VScEventpar');