ALTER TABLE DATOTEKE_KUPCEV
ADD ID_POGODBE NUMBER;

ALTER TABLE DATOTEKE_KUPCEV
ADd ID_PRINT_PREVOD NUMBER;

ALTER TABLE DATOTEKE_KUPCEV
ADD ISSUE_DATE DATE;

INSERT INTO NNDATOTEKE_KUPCEV_VRSTA(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('CON', 'Contract', 'Contract', 'Y');

CREATE OR REPLACE VIEW V_DATOTEKE_KUPCEV AS (
SELECT D.ID_DATOTEKE_KUPCEV, D.ID_KUPCA, D.VRSTA, D.DATOTEKA, D.IME_DATOTEKE, D.KONCNICA, D.KOMENTAR, D.USER_KREIRANJA, D.DATUM_KREIRANJA, 
D.USER_SPREMEMBE, D.DATUM_SPREMEMBE, D.STATUS, D.VALID, D.FILE_REFERENCE, D.ID_POGODBE, D.ISSUE_DATE,
N.OPIS AS VRSTA_OPIS, N.INTERNI_OPIS AS VRSTA_INTERNI_OPIS, K.PRIIMEK AS KUPCI_PRIIMEK, K.IME AS KUPCI_IME, K.ID_MEMBER AS KUPCI_ID_MEMBER
FROM DATOTEKE_KUPCEV D
LEFT OUTER JOIN NNDATOTEKE_KUPCEV_VRSTA N ON N.SIFRA = D.VRSTA
LEFT OUTER JOIN KUPCI K ON K.ID = D.ID_KUPCA
);

INSERT INTO NNWEB_PAGE_TEMPLATE_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('CSS', 'Contract signature success', 'Contract signature success', 'Y');

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1365, SYSDATE, '5.5', 1285, 'Contract reports')
;