ALTER TABLE NNPRIVEZ_SVG
ADD SIRINA NUMBER;

ALTER TABLE NNPRIVEZ_SVG
ADD DOLZINA NUMBER;

CREATE OR REPLACE VIEW V_REZERVAC_SVG AS (
SELECT DISTINCT V.ID, V.PRISOTNO, V.DATUM_REZERVACIJE, V.DATUM_DO, V.ID_LASTNIKA, V.ID_PLOVILA, V.ID_PRESPR, V.ID_PRIVEZ, NVL(V.PLOVILO, NVL(V.NAZIV, 'UNKNOWN')) AS IME_PLOVILA, NVL(V.NTIP, 'V') AS TIP_PLOVILA,
V.DOLZINA AS DOLZINA_PLOVILA, V.SIRINA AS SIRINA_PLOVILA, PS.TRANS_X AS TRANS_X_PLOVILA, PS.TRANS_Y AS TRANS_Y_PLOVILA, PS.ROT_DEGREES AS ROT_DEGREES_PLOVILA,
NS.DOLZINA AS DOLZINA_PRIVEZA, NS.SIRINA AS SIRINA_PRIVEZA, NS.TRANS_X AS TRANS_X_PRIVEZA, NS.TRANS_Y AS TRANS_Y_PRIVEZA, NS.ROT_DEGREES AS ROT_DEGREES_PRIVEZA, N.OBJEKT
FROM V_REZERVAC V
JOIN NNPRIVEZ N ON N.ID_PRIVEZ = V.ID_PRIVEZ
JOIN NNPRIVEZ_SVG NS ON NS.ID_PRIVEZ = V.ID_PRIVEZ
LEFT JOIN PLOVILA_SVG PS ON PS.ID = V.ID AND PS.PRISOTNO = V.PRISOTNO AND PS.ID_PLOVILA = V.ID_PLOVILA AND PS.ID_PRESPR = V.ID_PRESPR
);

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(330, SYSDATE, '5.5', 250, 'Popravek izrisa situacije marine');